Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle
Interface PropertyResolver

All Known Implementing Classes:
  PropertiesExpander

    public interface PropertyResolver

Resolves properties in module configurations. The `ConfigurationLoader` uses a PropertyResolver to resolve the values of external properties like `${basename}` that occur in the configuration file.

Author:
  lkuehne
See Also:
  `ConfigurationLoader`

Method Summary
`String` | `resolve(String aName)` Resolves a property name to it's value.

Method Detail

### resolve

    String resolve(String aName)
                   throws CheckstyleException

  Resolves a property name to it's value.

  Parameters:
    `aName` - the name of the property.
  Returns:
    the value that is associated with `propertyName`.
  Throws:
    `CheckstyleException` - if the propertyName cannot be reolved

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD